Summary: Utility programs for the AWE32 sound driver.
Summary(ja): AWE32 サウンドドライバためのユーティリティプログラム
Name: awesfx
Version: 0.4.3a
Release: 7vl3
Group: Applications/Multimedia
URL: http://bahamut.mm.t.u-tokyo.ac.jp/~iwai/awedrv/index.html
Source0: http://bahamut.mm.t.u-tokyo.ac.jp/~iwai/awedrv/awesfx-%{version}.tgz
Source2: http://www.pvv.org/~thammer/localfiles/soundfonts_other/gu11-rom.zip
Source3: awe_voice.h
Patch: awesfx-0.4.3a-make.patch
Copyright: GPL/distributable
Prefix: /usr
ExclusiveArch: %{ix86} alpha
BuildRoot: %{_tmppath}/awesfx-root

%description
The awesfx package contains various utility programs for controlling
the AWE32 sound driver. AWESFX includes sfxload, the soundfont 
loader; setfx, the chorus/reverb effect loader; aweset, a controller
for setting parameters; and programs for converting soundfonts to
text.

If you use an AWE32 sound driver, you should install the awesfx 
package.

%prep
%setup -q
mkdir gu11-rom
cd gu11-rom
unzip $RPM_SOURCE_DIR/gu11-rom.zip
cd ..
%patch -p1
mkdir include/linux
cp $RPM_SOURCE_DIR/awe_voice.h include/linux

%build
xmkmf
make Makefiles
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT/etc/midi
mkdir -p $RPM_BUILD_ROOT/bin
make install
make install.man MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1
mv $RPM_BUILD_ROOT/usr/bin/sfxload $RPM_BUILD_ROOT/bin/
mv gu11-rom/GU11-ROM.SF2 $RPM_BUILD_ROOT/etc/midi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog.sfx README SBKtoSF2.txt bank-samples
%doc gu11-rom
/etc/midi/GU11-ROM.SF2
/bin/sfxload
/usr/bin/setfx
/usr/bin/sf2text
/usr/bin/text2sf
/usr/bin/gusload
/usr/bin/sfxtest
/usr/bin/aweset
%{_mandir}/man1/sfxload.*

%changelog
* Fri Sep 20 2002 MATSUBAYASHI Kohji<shaolin@vinelinux.org> 0.4.3a-7vl3
- fixed URL typo

* Fri Jul 13 2001 <sagami@vinelinux.org>
- 0.4.3a-7vl2: use %%{ix86} for ExclusiveArch instead of i386

* Sun Jun 10 2001 <sagami@vinelinux.org>
- 0.4.3a-7vl1: rebuilt for Vine and added Japanese summary

* Fri Jul 21 2000 Bill Nottingham <notting@redhat.com>
- include aweset binary (#14364)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun  8 2000 Bill Nottingham <notting@redhat.com>
- remove ia64 arch. ;)
- FHS stuff

* Sun May  7 2000 Bill Nottingham <notting@redhat.com>
- add ia64 arch

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 0.4.3a

* Mon Nov 16 1998 Bill Nottingham <notting@redhat.com>
- sfxload needs to be on root partition (modules loaded at startup)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Alpha

* Wed Sep  9 1998 Bill Nottingham <notting@redhat.com>
- initial packaging

